Bug 1591494 - [RFE] Add configuratble vhost to AMQP monitor
Summary: [RFE] Add configuratble vhost to AMQP monitor
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Appliance
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.9.4
Assignee: Marek Aufart
QA Contact: Danylo Kholodov
URL:
Whiteboard:
Depends On: 1576457
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-06-14 21:31 UTC by Satoe Imaishi
Modified: 2018-09-04 18:01 UTC (History)
6 users (show)

Fixed In Version: 5.9.4.0
Doc Type: Enhancement
Doc Text:
Clone Of: 1576457
Environment:
Last Closed: 2018-09-04 18:00:27 UTC
Category: ---
Cloudforms Team: Openstack


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2561 None None None 2018-09-04 18:01:07 UTC

Comment 2 CFME Bot 2018-07-11 14:33:15 UTC
New commit detected on ManageIQ/manageiq-providers-openstack/gaprindashvili:

https://github.com/ManageIQ/manageiq-providers-openstack/commit/002de1a20157dba9a1fe3f77d441e40a2ec48045
commit 002de1a20157dba9a1fe3f77d441e40a2ec48045
Author:     Marek Aufart <aufi.cz@gmail.com>
AuthorDate: Fri Feb  2 07:13:20 2018 -0500
Commit:     Marek Aufart <aufi.cz@gmail.com>
CommitDate: Fri Feb  2 07:13:20 2018 -0500

    Merge pull request #221 from paulslaby/master

    Add configurable vhost to AMQP monitor
    (cherry picked from commit 5f1c01e25b8d64b8c8c3f167ffd64f0242d7bfe2)

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1591494

 config/settings.yml | 3 +
 lib/manageiq/providers/openstack/legacy/events/openstack_rabbit_event_monitor.rb | 2 +
 2 files changed, 5 insertions(+)

Comment 3 Danylo Kholodov 2018-07-23 13:42:12 UTC
Need more information.

First of all during the configuring AMQP at CMFE Events of a infra/cloud provider  an error appears: "Credential validation was not successful:Socket error: Could not establish TCP connection to any of the configured tests"

I found that there is no connection between CFME and RabbitMQ.
Was trying to ping from CFME machine the IP address of RabbitMQ. 
Finally after adding at a hypervisor new ip route for a connection between CFME and RabbitMQ was established.
Is such a workaround is ok? Because by default it is impossible to start using AMQP at CFME.

So after previous step I've successfully added AMQP Events at CFME.
And if I understand correct to verify this bug I should make an AMQP call and than check that a vhost header is really part of AMQP calls. 
But in a what way I can do it? To make some action on a cloud and then logs at CFME, e.g. "tail -f /var/www/miq/vmdb/log/evm.log | grep amqp"?
All I can see is something like this:
:amqp_port: 5672
:amqp_heartbeat: 30
:amqp_recovery_attempts: 4
:amqp_vhost: "/"
Or it is necessary to do something else?

Comment 5 Danylo Kholodov 2018-07-27 11:12:29 UTC
Verified at the CFME 5.9.4.0

Comment 7 errata-xmlrpc 2018-09-04 18:00:27 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2561


Note You need to log in before you can comment on or make changes to this bug.